import java.util.Properties;

import org.springframework.beans.factory.BeanFactory;
import org.springframework.beans.factory.xml.XmlBeanFactory;
import org.springframework.core.io.ClassPathResource;

public class Main {

  public static void main(String[] args) throws Exception {
    BeanFactory beanFactory = new XmlBeanFactory(new ClassPathResource("context.xml"));
    PropertyEditorTestBean testBean = (PropertyEditorTestBean) beanFactory.getBean("testBean");

    System.out.println(testBean.getMyProperties());
  }
}

class PropertyEditorTestBean {

  private Properties myProperties;

  public Properties getMyProperties() {
    return myProperties;
  }

  public void setMyProperties(Properties myProperties) {
    this.myProperties = myProperties;
  }
}